Bug 862667 - ValueError: raid0 requires at least 2 disks
ValueError: raid0 requires at least 2 disks
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:d06d6b71a7e20db43f74c660983...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 08:08 EDT by Jan Sedlák
Modified: 2012-11-15 09:39 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-15 09:39:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (376.34 KB, text/plain)
2012-10-03 08:08 EDT, Jan Sedlák
no flags Details
File: environ (882 bytes, text/plain)
2012-10-03 08:08 EDT, Jan Sedlák
no flags Details
File: type (9 bytes, text/plain)
2012-10-03 08:08 EDT, Jan Sedlák
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-03 08:08 EDT, Jan Sedlák
no flags Details
File: storage.log (158.53 KB, text/plain)
2012-10-03 08:08 EDT, Jan Sedlák
no flags Details
File: version (2 bytes, text/plain)
2012-10-03 08:08 EDT, Jan Sedlák
no flags Details
File: program.log (70.61 KB, text/plain)
2012-10-03 08:08 EDT, Jan Sedlák
no flags Details
File: product (6 bytes, text/plain)
2012-10-03 08:08 EDT, Jan Sedlák
no flags Details
File: anaconda.log (15.92 KB, text/plain)
2012-10-03 08:08 EDT, Jan Sedlák
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-03 08:09 EDT, Jan Sedlák
no flags Details
File: cmdline_file (162 bytes, text/plain)
2012-10-03 08:09 EDT, Jan Sedlák
no flags Details
File: release (33 bytes, text/plain)
2012-10-03 08:09 EDT, Jan Sedlák
no flags Details
File: messages (98.92 KB, text/plain)
2012-10-03 08:09 EDT, Jan Sedlák
no flags Details

  None (edit)
Description Jan Sedlák 2012-10-03 08:08:35 EDT
Description of problem:
I was choosing the type of the partition in anaconda partitioning GUI and this traceback poped out.

Version-Release number of selected component:
anaconda-18.11-1.fc18.x86_64

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
kernel:         3.6.0-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.11 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicelibs/mdraid.py", line 146, in get_member_space
:    % (level, min_members))
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 3290, in device_size
:    level=self.raid_level)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1170, in _populate_raid
:    base_size = factory.device_size
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1665, in on_device_type_changed
:    self._populate_raid(new_type, raid_level, size)
:ValueError: raid0 requires at least 2 disks
Comment 1 Jan Sedlák 2012-10-03 08:08:39 EDT
Created attachment 620797 [details]
File: anaconda-tb
Comment 2 Jan Sedlák 2012-10-03 08:08:41 EDT
Created attachment 620798 [details]
File: environ
Comment 3 Jan Sedlák 2012-10-03 08:08:45 EDT
Created attachment 620799 [details]
File: type
Comment 4 Jan Sedlák 2012-10-03 08:08:47 EDT
Created attachment 620800 [details]
File: ifcfg.log
Comment 5 Jan Sedlák 2012-10-03 08:08:49 EDT
Created attachment 620801 [details]
File: storage.log
Comment 6 Jan Sedlák 2012-10-03 08:08:52 EDT
Created attachment 620802 [details]
File: version
Comment 7 Jan Sedlák 2012-10-03 08:08:55 EDT
Created attachment 620803 [details]
File: program.log
Comment 8 Jan Sedlák 2012-10-03 08:08:57 EDT
Created attachment 620804 [details]
File: product
Comment 9 Jan Sedlák 2012-10-03 08:08:59 EDT
Created attachment 620805 [details]
File: anaconda.log
Comment 10 Jan Sedlák 2012-10-03 08:09:01 EDT
Created attachment 620806 [details]
File: hashmarkername
Comment 11 Jan Sedlák 2012-10-03 08:09:05 EDT
Created attachment 620807 [details]
File: cmdline_file
Comment 12 Jan Sedlák 2012-10-03 08:09:10 EDT
Created attachment 620808 [details]
File: release
Comment 13 Jan Sedlák 2012-10-03 08:09:13 EDT
Created attachment 620809 [details]
File: messages
Comment 14 Michal Kovarik 2012-10-03 09:23:00 EDT
On system with one harddrive. On Manul Partitioning screen generate automatic layout, on Root partition select device type RAID.

Package: anaconda-18.11
OS Release: Fedora release 18-Beta-TC1
Comment 15 Chris Murphy 2012-10-10 00:32:07 EDT
Still a problem with 18.14 with two hard drives selected.
Comment 16 David Lehman 2012-11-15 09:39:19 EST
This should be fixed in the most recent TC. Please reopen if it remains.

Note You need to log in before you can comment on or make changes to this bug.